org.apache.ignite.internal.pagemem.wal.record

## Class UnwrapDataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry
  - - org.apache.ignite.internal.pagemem.wal.record.UnwrapDataEntry

    public class UnwrapDataEntry
    extends DataEntry

Data Entry for automatic unwrapping key and value from Data Entry

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVer, op, partCnt, partId, val, writeVer`

### Constructor Summary

Constructors
Constructor and Description
`UnwrapDataEntry(int cacheId, KeyCacheObject key, CacheObject val, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt, CacheObjectValueContext cacheObjValCtx, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`Object` `unwrappedKey()` Unwraps key value from cache key object into primitive boxed type or source class.
`Object` `unwrappedValue()` Unwraps value value from cache value object into primitive boxed type or source class.

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVersion, op, partitionCounter, partitionCounter, partitionId, value, writeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnwrapDataEntry

    public UnwrapDataEntry(int cacheId,
                           KeyCacheObject key,
                           CacheObject val,
                           GridCacheOperation op,
                           GridCacheVersion nearXidVer,
                           GridCacheVersion writeVer,
                           long expireTime,
                           int partId,
                           long partCnt,
                           CacheObjectValueContext cacheObjValCtx,
                           boolean keepBinary)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `val` - Value or null for delete operation.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `expireTime` - Expire time.
  `partId` - Partition ID.
  `partCnt` - Partition counter.
  `cacheObjValCtx` - cache object value context for unwrapping objects.
  `keepBinary` - disable unwrapping for non primitive objects, Binary Objects would be returned instead.

### Method Detail

#### unwrappedKey

    public Object unwrappedKey()

Unwraps key value from cache key object into primitive boxed type or source class. If client classes were used in key, call of this method requires classes to be available in classpath.

Returns:
  Key which was placed into cache. Or null if failed to convert.

#### unwrappedValue

    public Object unwrappedValue()

Unwraps value value from cache value object into primitive boxed type or source class. If client classes were used in key, call of this method requires classes to be available in classpath.

Returns:
  Value which was placed into cache. Or null for delete operation or for failure.

#### toString

    public String toString()

Overrides:
  `toString` in class `DataEntry`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018